Subject: Re: [BLISS] Shared Appearances Open Issue: Server Mode of Operation

From: Alan Johnston <[email-masked]>
Date: Thu, 11 Dec 2008 15:41:42 -0600

I will have a try at updating the draft to reflect both options 1 and 2 
below.  I'm hoping we can have both mechanisms without introducing 
significant complexity.  If this turns out not to be true, we may need 
to pick only one option.

Thanks,
Alan

[email-masked] wrote:
>    From: Jason Fischl <[email-masked]>
>
>    To summarize, there are 3 options:
>    1) client publishes all state changes only
>    2) optimization for servers that maintain call state and clients only  
>    need to publish when seizing a line. This requires a mechanism for the  
>    server to signal to the client that it does not need to do publish all  
>    state changes.
>    3) clients only publish for line seize.
>
>    Please comment on these 3 options. The current draft describes option 2.
>
> Clearly 2 is the best, if a suitable mechanism can be defined.
>
> 3 is totally unworkable in a system that has a classic (that is,
> non-call-stateful, or "RFC 3261") proxy.  Since sipX has a
> non-call-stateful proxy, I find it undesirable.
>
> Dale
> _______________________________________________
> BLISS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bliss
>
>
>   

_______________________________________________
BLISS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/bliss